#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <i86.h>
#include <conio.h>
#include "vga.h" // vrc, vga_setmode, setpal
#include "anm.h"

void waitframes(int frames) {
  while (frames--) vrc();
}

int main(int argc,char **argv) {
int vrcs;
ANMDATA * anim;
  if (argc < 2) {
    printf("Usage: playanm <deluxe paint animator PC .anm filename>\n");
    return 1;
	}
  anim=anm_open(argv[1]);
  vrcs=70/anim->fps;
  if (vrcs==0) vrcs++;
  vga_setmode(0x13);
  setpal(anim->palette);
  while(!kbhit()) {
      anm_frame(anim);
      memcpy((char*)0xa0000,anim->framebuffer,64000);
      waitframes(vrcs);
	}
  vga_setmode(0x3);
  return 0;
}
